:root {
  --amarillo: #f2be5c;
  --amarilloSecundario: #f2bd5cc7;
  --rojo: #8c1c1c;
  --rojoSecundario: #8c1c1cb2;
  --gris: #3c3d40;
  --grisSecundario: #3c3d40e7;
  --grisTerciario: #3c3d40b7;
  --verde: #005c53;
  --verdeSecundario: #005c53a8;
  --verdeTerciario: #005c539d;
  --grisFiltro: #3c3d406b;
  --fuente: "Open Sans", sans-serif;
}

/* PAGINAS ADICIONALES */


/* SISTEMA ESCOLAR */
.escolarizada {
  background-image: url(../img/bus.avif);
}

.escolar {
  color: var(--verde);
  margin: 1rem 0;
}

.services-escolar {
  width: 90%;
  height: auto;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  padding: 2rem;
  margin: 0 auto;
  border-radius: 2rem;
}

@media (min-width: 768px) {
  .services-escolar {
    width: 45rem;
    height: auto;
    padding: 2rem;
  }

  .content-card__services {
    gap: 3rem;
  }
}

.content-card__services {
  height: 100%;
  gap: 2rem;
}

.services-escolar ul li {
  color: #FFF;
  list-style: circle !important;
}

/* ======================== */
/* GLOBALES */
/* ======================== */
* {
  scroll-behavior: smooth;
}

html {
  font-family: var(--fuente);
}

body {
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.container {
  max-width: 100rem;
  height: 100%;
  margin: 0 auto;
}

section {
  width: 100%;
}

.img-logo {
  width: 5rem;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
}

.titles {
  font-size: 2.5rem;
  color: #fff;
}

.subtitles {
  color: #fff;
  text-align: center;
  font-size: 1rem;
}

@media (min-width: 900px) {
  .titles {
    font-size: 3.5rem;
  }

  .subtitles {
    font-size: 1.3rem;
  }
}

.background {
  background-size: cover;
  background-position: center center;
}

p {
  color: #fff;
}

.description {
  font-size: 1rem;
}

@media (min-width: 768px) {
  .description {
    font-size: 1.2rem;
  }
}

button {
  width: 10rem;
  height: 2.5rem;
  border-radius: 3rem;
  border: none;
  background-color: var(--amarillo);
  cursor: pointer;
  font-size: 0.7rem;
  transition: all 0.3s ease-in-out;
  font-weight: bold;
  color: #fff;
  border: 2px solid var(--amarillo);
}

button:hover {
  background-color: transparent;
  transform: scale(0.9);
}

@media (min-width: 768px) {
  button {
    width: 15rem;
    height: 2.8rem;
    font-size: 0.9rem;
  }
}

/* ======================== */
/* FILTROS */
/* ======================== */
.filtro::before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--verdeTerciario);
}

.filtro1::before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--grisFiltro);
}

.filtro2::before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--rojoSecundario);
}

.filtro3::before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--grisTerciario);
}

.relative {
  position: relative;
}

/* ======================== */
/* FONDOS */
/* ======================== */
.brand-section {
  background-image: url(../img/banner1.avif);
}

.about-us {
}

.services-hero {
  background-image: url(../img/banner2.avif);
}

.about {
  background-image: url(../img/banner3.avif);
}

.contact {
  /* background-image: url(../img/contact.avif); */
}

/* ======================== */
/* HEADER */
/* ======================== */
header {
  width: 100%;
  padding: 1rem;
}

/* ======================== */
/* NAV  */
/* ======================== */
nav {
  display: flex;
  flex-direction: column;
  align-items: center;
}

nav a img {
  margin-bottom: 2rem;
}

nav ul {
  display: inherit;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
  align-items: center;
}

nav ul li a {
  color: var(--verde);
  font-weight: bold;
  transition: all 0.3s ease;
}

nav ul li a:hover {
  color: var(--rojo);
  font-weight: bold;
}

@media (min-width: 768px) {
  nav {
    flex-direction: row;
    justify-content: space-between;
    padding: 0 2rem;
  }

  nav a img {
    margin: 0;
  }

  nav ul {
    flex-direction: inherit;
    gap: 2rem;
    align-items: center;
  }
}

/* ======================== */
/* SECTION BRAND */
/* ======================== */
.brand-section {
  height: 100vh;
}

.brand-container {
  width: 90%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
  gap: 2rem;
}

.brand {
  display: flex;
  justify-content: center;
  align-items: center;
}

.brand i {
  width: 1.5rem;
  color: var(--amarillo);
  background-color: transparent;
}

.brand h3 {
  color: var(--amarillo);
}

.brand-description {
  text-align: center;
}

.brand-description h1 {
  margin-bottom: 2rem;
}

.brand-description p {
}

.buttons {
  text-align: center;
}

@media (min-width: 900px) {
  .brand-section {
  }

  .brand-container {
  }

  .brand {
    justify-content: flex-start;
  }

  .brand i {
  }

  .brand-description {
    text-align: left;
  }

  .brand-description h1 {
    margin: none;
  }

  .brand-description p {
  }

  .buttons {
    display: flex;
    gap: 1rem;
  }
}

/* ======================== */
/* CONTENT BAR*/
/* ======================== */
.about-content-bar {
  background-color: var(--grisSecundario);
  color: #fff;
}

.content-bar {
  display: flex;
  flex-direction: column;
  text-align: center;
  padding: 0 2rem;
}

.content-bar h1 {
  font-size: 1.5rem;
}

@media (min-width: 768px) {
  .content-bar h1 {
    font-size: 2.5rem;
  }
}

/* ======================== */
/* SECTION ABOUT */
/* ======================== */
.about-us {
  height: auto;
  background-color: var(--grisSecundario);
  padding: 5rem 0;
}

.content-about {
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 3rem;
}

.content-about .box {
  width: 80%;
  height: 20rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  background-color: #fff;
  border-radius: 1rem;
  padding: 1rem 1.5rem;
}

.content-about .box:hover {
  transition: all 0.3s ease-in-out;
  transform: scale(1.1);
  box-shadow: 4px 10px 10px #414141;
}

.content-about .box i {
  width: 7rem;
  height: 7rem;
  display: grid;
  place-items: center;
  font-size: 3rem;
  border-radius: 50%;
  background-color: var(--rojo);
  color: #fff;
}

.content-about .box h3 {
  color: var(--rojo);
}

.content-about .box p {
  color: var(--gris);
}

@media (min-width: 900px) {
  .about-us {
    padding: 7rem 0;
    height: 100%;
  }

  .content-about {
  }

  .content-about .box {
    width: 22rem;
  }

  .content-about .box i {
  }

  .content-about .box h3 {
  }

  .content-about .box p {
  }
}

/* ======================== */
/* ABOUT */
/* ======================== */
.about {
  height: auto;
}

@media (min-width: 1200px) {
  .about {
    height: 100vh;
  }
}

.content-about-us {
  width: 90%;
  height: inherit;
  display: flex;
  align-items: center;
  margin: 0 auto;
}

.content {
  display: inherit;
  flex-direction: column;
  text-align: center;
  padding: 3rem 0;
}

.content p {
  margin: 3rem 0;
}

.content-cards-about {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 3rem;
}

.content-cards-about .card-about {
  width: 20rem;
  height: 25rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 2rem;
  background-color: #fff;
  border-radius: 2rem;
  transition: all 0.2s ease-in;
}

.content-cards-about .card-about:hover {
  box-shadow: 4px 10px 20px #242424;
  transform: scale(1.1);
}

.content-cards-about .card-about i {
  width: 6rem;
  height: 6rem;
  display: grid;
  place-items: center;
  font-size: 3rem;
  color: #fff;
  border-radius: 50%;
  margin-bottom: 1rem;
}

.content-cards-about .card-about h3 {
  text-align: center;
  margin-bottom: 1rem;
}

.content-cards-about .card-about p {
  margin: 0;
  text-align: center;
  color: var(--gris);
}

.fa-industry {
  background-color: var(--verde);
}

.fa-road-circle-check {
  background-color: var(--rojo);
}

.fa-star {
  background-color: var(--amarillo);
}

/* ======================== */
/* CONTACT */
/* ======================== */
.contact {
  width: 100%;
  height: auto;
}

.content-contact {
  height: 90rem;
  display: flex;
  position: relative;
  flex-direction: column-reverse;
  box-shadow: 4px 4px 4px rgb(229, 229, 229);
  border-radius: 2rem;
}

.content-contact img {
  width: 5rem;
  margin: 1rem;
  position: absolute;
  top: 0;
  left: 0;
}

.content-form-left {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  padding: 2rem;
}

.content-form-left h1 {
  width: 100%;
  text-align: left !important;
  color: var(--verde);
}

.content-form-left form {
  width: 100%;
}

.content-form-left .campos {
  height: 3.2rem;
  width: 100%;
  display: flex;
  align-items: center;
  margin: 2rem 0;
}

.content-form-left .campos:last-child {
  border: none;
  padding: 0;
}

.content-form-left .campos input {
  border: none;
  width: 100%;
  height: 3.5rem;
  color: var(--verde);
  font-weight: bold;
  font-family: var(--fuente);
  border: 2px solid #ebebeb;
  border-radius: 0.5rem;
  padding: 0 2.5rem;
}

.content-form-left .campos i {
  position: absolute;
  color: var(--verdeSecundario);
  padding: 0 0 0 1rem;
}

.content-form-left form input[type="submit"] {
  width: 10rem;
  height: 3rem;
  border: none;
  border-radius: 0.5rem;
  cursor: pointer;
  background-color: var(--verde);
  color: #fff;
  font-size: 1rem;
  letter-spacing: 0.2rem;
  margin: 0rem;
  transition: all 0.3s ease-in-out;
}

.content-form-left form input[type="submit"]:hover {
  background-color: var(--amarillo);
  transform: scale(0.9);
}

.network {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  font-size: 0.8rem;
  gap: 1rem;
}

@media (min-width: 768px) {
  .network {
    flex-direction: row;
    gap: 0;
  }
}

.brand-network {
  display: inherit;
  font-size: 0.8rem;
  gap: 1rem;
}

.network a {
  color: var(--rojo);
  font-weight: bold;
}

.brand-network a {
  color: var(--verdeSecundario);
}

.brand-network a:hover {
  color: var(--verde);
}

.content-form-right {
  width: 100%;
  height: 100%;
}

/* styles.css */

.content-form-right {
  position: relative;
}

.sede {
  position: absolute;
  left: 0;
  width: 100%;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-in-out, visibility 0.5s;
  border-bottom-right-radius: 2rem;
  border-bottom-left-radius: 2rem;
}

.sede::before {
  border-bottom-left-radius: 2rem;
  border-bottom-right-radius: 2rem;
}

.sede.active {
  opacity: 1;
  visibility: visible;
}

.sede-bogota {
  background-image: url(../img/sede-bogota.avif);
  height: 100%;
}

.sede-santaMarta {
  background-image: url(../img/sede-santaMarta.avif);
  height: 100%;
}

.items-sedes {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  font-weight: bold;
}

.content-sedes {
  width: 100%;
  height: 100%;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  gap: 2rem;
}

.content-sedes h1,
.content-sedes i,
.content-sedes a,
.content-sedes h3 {
  color: #fff;
}

.content-sedes h3 {
  font-size: 0.8rem;
}

.content-sedes h1 {
  font-size: 2.5rem;
}

.content-sedes i {
  font-size: 1.2rem;
  margin-right: 1rem;
}

.content-sedes a {
  font-size: 1rem;
}

.bar-active {
  color: #fff;
}

.bar-off {
  color: #ffffff8f !important;
}

.fa-window-minimize {
  font-size: 2.5rem !important;
  margin: 0 0.2rem !important;
  cursor: pointer;
}

@media (min-width: 1200px) {
  .contact {
    height: 100vh;
  }

  .content-contact {
    height: 100%;
    flex-direction: row;
  }

  .content-form-left {
    width: 40%;
    padding: 0 5rem;
  }

  .content-form-right {
    width: 60%;
  }

  .content-form-right {
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 2rem;
  }

  .content-sedes {
    padding: 5rem 7rem;
    justify-content: space-evenly;
    gap: 2rem;
  }

  .content-sedes h1,
  .content-sedes i,
  .content-sedes a {
    color: #fff;
  }

  .content-sedes h3 {
    font-size: 1rem;
    color: #fff;
  }

  .content-sedes h1 {
    font-size: 4rem;
    color: #fff;
  }

  .content-sedes i {
    font-size: 1.5rem;
    margin-right: 2rem;
  }

  .content-sedes a {
    font-size: 1.2rem;
  }
}

/* ======================== */
/* FOOTER */
/* ======================== */
footer {
  padding: 0 2rem;
}

.content-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  padding: 2rem 0;
}

@media (min-width: 768px) {
  .content-footer {
    flex-direction: row;
  }
}

footer p {
  color: var(--rojo);
  font-weight: bolder;
}

/* ======================== */
/* PAGINA SERVICIOS */
/* ======================== */
.services {
  height: 60vh;
  background-image: url(../img/servicesBanner.avif);
}

.services .container {
  height: 100%;
  display: grid;
  place-items: center;
}

.services .content-services {
  width: 90%;
  text-align: center;
}

.services .content-services p {
  margin-top: 2rem;
}

@media (min-width: 768px) {
  .services .content-services {
    width: 70%;
  }
}

/* CARDS SERVICES */
.card-services {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.box-services {
  width: 90%;
  height: 15rem;
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  padding: 0 2rem;
  margin: 0 auto;
}

.box-services:hover {
  transform: scale(1.05);
  box-shadow: 4px 4px 10px #b8b8b8;
}

.content-card__services {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

@media (min-width: 768px) {
  .box-services {
    width: 30rem;
    height: 20rem;
    border-radius: 2rem;
    padding: 0 2rem;
  }

  .content-card__services {
    gap: 3rem;
  }
}

/* BACKGROUNDS CARDS */
.esquema-documental {
  background-image: url(../img/vial.avif);
}

.esquema-trafico {
  background-image: url(../img/trafico.avif);
}

.esquema-capacitacion {
  background-image: url(../img/capacitacion.avif);
}

.esquema-entrenamiento {
  background-image: url(../img/entrenamiento.avif);
}

.esquema-accidente {
  background-image: url(../img/accidente.avif);
}

.esquema-investigacion {
  background-image: url(../img/investigacion.avif);
}

.esquema-mapa {
  background-image: url(../img/mapa.avif);
}

.esquema-flota {
  background-image: url(../img/flota.avif);
}

.esquema-mapa {
  background-image: url(../img/mapa.avif);
}

.esquema-bus {
  background-image: url(../img/bus.avif);
}

.esquema-alianza {
  background-image: url(../img/alianza.avif);
}

/* ======================== */
/* PAGINA SERVICIOS */
/* ======================== */
.card-description {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
}

@media (min-width: 1000px) {
  .card-description {
    width: 100%;
    height: 90vh;
    display: flex;
    flex-direction: row;
  }
}

/* SECTION LEFT */
.left {
  width: 100%;
  height: 30rem;
  display: flex;
  align-items: flex-end;
  padding: 2rem;
}

@media (min-width: 1000px) {
  .left {
    width: 55%;
    height: inherit;
    padding: 4rem;
  }
}

.content-left {
  width: 100%;
  display: grid;
  gap: 2rem;
}

.fa-arrow-left {
  color: #fff;
  font-size: 1.5rem;
  position: absolute;
  top: 1rem;
  right: 2rem;
  cursor: pointer;
}

@media (min-width: 768px) {
  .fa-arrow-left {
    color: #fff;
    font-size: 2rem;
    position: absolute;
    top: 2rem;
    left: 3rem;
    cursor: pointer;
  }
}

.content-left span {
  display: grid;
  place-items: center;
  background-color: var(--rojo);
  width: 7rem;
  height: 1.5rem;
  border-radius: 2rem;
  font-weight: bold;
  text-align: center;
  color: #fff;
  font-size: 0.7rem;
  cursor: pointer;
}

.content-left h1 {
  font-size: 1.5rem;
  text-align: left;
}

.content-left p {
  font-size: 0.8rem;
}

.content-left button {
  letter-spacing: 0.2rem;
}

@media (min-width: 900px) {
  .content-left span {
    width: 10rem;
    height: 2.5rem;
    font-size: 0.9rem;
  }

  .content-left h1 {
    font-size: 2.5rem;
    padding-right: 3rem;
    text-align: left;
  }

  .content-left p {
    font-size: 1rem;
  }
}

/* SECCTION RIGHT */
.right {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: var(--gris);
  padding: 1rem;
}

.right h2 {
  color: #fff;
  font-size: 1.3rem;
}

@media (min-width: 1000px) {
  .right {
    width: 45%;
    height: inherit;
    padding: 1rem 3rem;
    gap: 3rem;
  }

  .right h2 {
    color: #fff;
    font-size: 2rem;
    text-align: center;
  }
}

.right .items {
  display: flex;
  flex-direction: column;
  margin: 1rem 0;
  gap: 1rem;
}

@media (min-width: 600px) {
  .right .items {
    flex-direction: row;
    margin: 2rem 1rem;
  }
}

.right .items h3 {
  color: #fff;
  margin-bottom: 1rem;
}

.right .items i {
  display: grid;
  place-items: center;
  color: #fff;
  font-size: 2rem;
  padding: 1rem;
}

.align-center {
  display: flex;
  align-items: center;
}

.right .items p {
  font-size: 0.9rem;
}

/* FONDOS TARJETAS DESCRIPCION */
.descripcion-psv {
  background-image: url(../img/investigacion.avif);
}

.description-ptm {
  background-image: url(../img/transito.avif);
}

.description-ludico {
  background-image: url(../img/ludico.avif);
}

.description-transito {
  background-image: url(../img/accidenteSeguro.avif);
}

.description-investigar {
  background-image: url(../img/investigar.avif);
}

.description-mapa {
  background-image: url(../img/mapaElaborar.avif);
}

.description-seguros {
  background-image: url(../img/seguros.avif);
}

/* ======================== */
/* BRANDS*/
/* ======================== */
.brands-section {
  width: 100%;
  height: 60vh;
}

.content-brands {
  display: flex;
  width: inherit;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}

.content-brands h1 {
  color: var(--verde);
  text-align: center;
  padding: 0 4rem;
  font-size: 2rem;
}

@media (min-width: 768px) {
  .content-brands h1 {
    font-size: 3rem;
  }
}

/* CAROUSEL */
.carousel-container {
  width: 100%;
  height: 10rem;
  overflow: hidden;
}

.carousel {
  height: 100%;
  display: flex;
  gap: 5rem;
  transition: transform 0.5s ease;
}

.carousel img {
  max-width: 100%;
  height: auto;
}

/* CONSULTA */
.consulta-container {
  margin: auto;
  background: #fff;
  border-radius: 5px;
  z-index: 1;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 20px;
  width: fit-content;
}

.consulta-form {
  width: 100%;
  max-width: 500px;
  min-width: 320px;
}

.consulta-input {
  margin-top: 10px;
  padding: 10px;
  width: 100%;
  border-radius: 3px;
  border: none;
  outline: none;
  border: 1px solid #0002;
}

.consulta-button-container {
  .consulta-button {
    width: 100%;
    padding: 8px 10px;
    height: fit-content;
    margin-top: 15px;

    &:disabled {
        &:hover {
            background-color : var(--amarillo);
            transform: scale(1);
        }
        cursor: default;
    }

    &:disabled {
        filter: grayscale(40%);
    }
  }

  .loading {
    width: 20px;
    height: 20px;
    border: 5px solid #fff;
    border-bottom-color: orange;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    position: absolute;
    left: 35%;
    top: 45%;
    transform: translateY(-50%);
    display: none;
  }

  .loading.active {
    display: block;
  }
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

